Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Public Enum eFixedAssetsPeriod
    eYear = 0
    eMonth = 1
    eQuarter = 2
End Enum
Public Enum eFixedAssetsSpecies
    eFixedAssets = 0 'Tárgyi eszközök
    eIntangibleAssets = 1 'Immateriális javak
    eSmallValueOfFixedAssets = 2 'Kisértékű tárgyi eszköz
End Enum
<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class FixedAssetsDecrepationParameter
    Inherits BaseObject

    Private _ShortName As String 'Megnevezés
    Private _Description As String 'Leírás
    Private _DecrepationPercent As Double 'ÉCS %
    Private _FixedAssetsPeriod As eFixedAssetsPeriod 'Éves, havi
    Private _FixedAssetsSpecies As eFixedAssetsSpecies 'Fajta
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property ShortName As String
        Get
            Return _ShortName
        End Get
        Set(value As String)
            SetPropertyValue("ShortName", _ShortName, value)
        End Set
    End Property
    <Size(-1)> _
    Property Description As String
        Get
            Return _Description
        End Get
        Set(value As String)
            SetPropertyValue("Description", _Description, value)
        End Set
    End Property
    Property DecrepationPercent As Double
        Get
            Return _DecrepationPercent
        End Get
        Set(value As Double)
            SetPropertyValue("DecrepationPercent", _DecrepationPercent, value)
        End Set
    End Property
    Property FixedAssetsPeriod As eFixedAssetsPeriod
        Get
            Return _FixedAssetsPeriod
        End Get
        Set(value As eFixedAssetsPeriod)
            SetPropertyValue("FixedAssetsPeriod", _FixedAssetsPeriod, value)
        End Set
    End Property
    Property FixedAssetsSpecies As eFixedAssetsSpecies
        Get
            Return _FixedAssetsSpecies
        End Get
        Set(value As eFixedAssetsSpecies)
            SetPropertyValue("FixedAssetsSpecies", _FixedAssetsSpecies, value)
        End Set
    End Property
End Class
